FreeMat

- Main Page
- Related Pages

vtkImageVariance3D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageVariance3D replaces each pixel with a measurement of pixel variance in a elliptical neighborhood centered on that pixel. The value computed is not exactly the variance. The difference between the neighbor values and center value is computed and squared for each neighbor. These values are summed and divided by the total number of neighbors to produce the output value.

To create an instance of class vtkImageVariance3D, simply invoke its constructor as follows

      obj = vtkImageVariance3D

# Methods

The class vtkImageVariance3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageVariance3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageVariance3D = obj.NewInstance ()`
- `vtkImageVariance3D = obj.SafeDownCast (vtkObject o)`
- `obj.SetKernelSize (int size0, int size1, int size2)` - This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the Elliptical foot print.